; ##############################################################################
; ##############################################################################
; ##############################################################################
MENUE:
	rcall ZEILE_0
	rcall FARBE_GRUEN
	rcall TFT_PAKET_SENDEN
;-------------------------------------------------------------------------------
; Taste gedrckt																
	rcall WAIT_100ms				; Pause fr Tastaturabfrage	
	LDS temp,(adr_TASTE)
	tst temp
	breq MENUE_RUN
	rcall BEEP_KURZ
	ROT_OFF
	GELB_OFF
	GRUEN_OFF
;-------------------------------------------------------------------------------
; welche Taste ?																
	LDS temp,(adr_TASTE)
	tst temp
	breq MENUE_RUN					; keine Taste	
;-------------------------------------------------------------------------------
	STS(adr_REFRESH),EINS			; Refreh		
	rcall TFT_CLEAR
	rcall TWI_RTC_WRITE_Wmm			; Wattminuten	
	
	LDS temp,(adr_TASTE)
	cpi temp,(TASTE_MENUE_PLUS)		; TASTE +		
	breq MENUE_PLUS				
	cpi temp,(TASTE_MENUE_MINUS)	; TASTE -		
	breq MENUE_MINUS				
	cpi temp,(TASTE_CLEAR)			; TASTE CLAER	
	breq MENUE_CLEAR				
	rjmp MENUE_RUN
;-------------------------------------------------------------------------------
; Taste "MENUE +"																
MENUE_PLUS:
	LDS temp,(adr_MENUE)
	inc temp
	STS(adr_MENUE),temp
	rjmp MENUE_RUN
;-------------------------------------------------------------------------------
; Taste "MENUE -"																
MENUE_MINUS:
	LDS temp,(adr_MENUE)
	tst temp
	breq MENUE_RUN
	dec temp
	STS(adr_MENUE),temp
	rjmp MENUE_RUN
;-------------------------------------------------------------------------------
; Taste "CLEAR"																
MENUE_CLEAR:
	STS(adr_U),NULL					; NULL				
	STS(adr_i),NULL					; NULL				
	STS(adr_P),NULL					; NULL				
	STS(adr_P_MAX),NULL				; NULL				
	STS(adr_Wh_L),NUll				; NULL				
	STS(adr_Wh_H),NUll				; NULL				
	rcall WAIT_100ms
	rcall BEEP_KURZ
	rcall WAIT_100ms
	rcall BEEP_KURZ
	rcall WAIT_100ms
	rcall BEEP_KURZ
	clr temp1
	rcall TWI_EEPROM_SAVE_P_MAX			; write EEPROM		
	rjmp MENUE_RUN
;-------------------------------------------------------------------------------
MENUE_RUN:
	ldi ZL,LOW (MENUE_SPRUNGMARKE)	; Z initialisieren	
	ldi ZH,HIGH(MENUE_SPRUNGMARKE)
	LDS temp,(adr_MENUE)
	add ZL,temp 
	adc ZH,NULL
	ijmp			; SPRUNG nach Z		
;-------------------------------------------------------------------------------
MENUE_SPRUNGMARKE:
	rjmp MENUE_DIAGRAMM_HEUTE
	rjmp MENUE_SYSTEM
	rjmp MENUE_DIAGRAMM_SO
	rjmp MENUE_DIAGRAMM_SA
	rjmp MENUE_DIAGRAMM_FR
	rjmp MENUE_DIAGRAMM_DO
	rjmp MENUE_DIAGRAMM_MI
	rjmp MENUE_DIAGRAMM_DI
	rjmp MENUE_DIAGRAMM_MO
	rjmp ANZEIGE_BEGRUESSUNG
	rjmp DIAGRAMM_JAHR
	rjmp MENUE_HILFE
	rjmp MENUE_EDIT_hh
	rjmp MENUE_EDIT_mm
	rjmp MENUE_EDIT_TAG
	rjmp MENUE_EDIT_WOCHENTAG
	rjmp MENUE_EDIT_MONAT
	rjmp MENUE_EDIT_JAHR
	rjmp MENUE_BAUSTELLE
;-------------------------------------------------------------------------------
	STS(adr_MENUE),NULL	; berlauf
	rjmp MENUE_RUN
; ##############################################################################
; ##############################################################################
; ##############################################################################
MENUE_BAUSTELLE:
	rcall FARBE_WEISS
	rcall ZEILE_1	
	rcall ASCII_B
	rcall ASCII_a_
	rcall ASCII_u_
	rcall ASCII_s_
	rcall ASCII_t_
	rcall ASCII_e_
	rcall ASCII_l_
	rcall ASCII_l_
	rcall ASCII_e_

	rcall ASCII_M
	LDS temp1,(adr_MENUE)
	rcall ZAHL_TEMP1

rjmp TFT_PAKET_SENDEN
; ##############################################################################
; ##############################################################################
; ##############################################################################
MENUE_SYSTEM:
	rcall FARBE_GRUEN
	rcall ASCII_S
	rcall ASCII_Y
	rcall ASCII_S
	rcall ASCII_T
	rcall ASCII_E
	rcall ASCII_M
	rcall ASCII_SPACE

	rcall ASCII_E
	rcall FARBE_ROT
	LDS temp1,(adr_ERROR)
	rcall HEX_TEMP1
	rcall ASCII_SPACE

	rcall FARBE_GRUEN
	rcall ASCII_T
	LDS temp1,(adr_TASTE)
	rcall HEX_TEMP1
;-------------------------------------------------------------------------------
; Zeit+Taste																	
	rcall ZEILE_1
	rcall FARBE_GELB
	rcall ANZEIGE_ZEIT
	rcall FARBE_GRUEN
	lds temp1,(adr_WOCHENTAG)
	rcall ANZEIGE_WOCHENTAG_TEMP1
	rcall FARBE_GELB
	rcall ANZEIGE_DATUM
;-------------------------------------------------------------------------------
; U																				
	rcall ZEILE_2
	rcall FARBE_GRUEN
	rcall ASCII_A
	rcall ASCII_D
	rcall ASCII_C
	rcall ASCII_MINUS
	rcall ASCII_U
	rcall ASCII_DOPPELPUNKT
	LDS temp1,(adr_ADC_U_L)
	LDS temp2,(adr_ADC_U_H)
	rcall ZAHL_TEMP1_2
	rcall ASCII_SPACE4

	rcall FARBE_GELB
	LDS temp1,(adr_U_mom)
	rcall ANZEIGE_U_TEMP1
	rcall FARBE_GRUEN
	LDS temp1,(adr_U)
	rcall ANZEIGE_U_TEMP1
;-------------------------------------------------------------------------------
; i																				
	rcall ZEILE_3
	rcall FARBE_BLAU
	rcall ASCII_A
	rcall ASCII_D
	rcall ASCII_C
	rcall ASCII_MINUS
	rcall ASCII_i_
	rcall ASCII_DOPPELPUNKT
	rcall FARBE_GRUEN
	LDS temp1,(adr_ADC_i_L)
	LDS temp2,(adr_ADC_i_H)
	rcall ZAHL_TEMP1_2
	rcall ASCII_SPACE4

	rcall FARBE_GELB
	LDS temp1,(adr_i_mom)
	rcall ANZEIGE_i_TEMP1
	rcall FARBE_GRUEN
	LDS temp1,(adr_i)
	rcall ANZEIGE_i_TEMP1
;-------------------------------------------------------------------------------
; P																				
	rcall ZEILE_4
	rcall FARBE_ROT
	rcall ASCII_P
	rcall ASCII_SPACE6

	LDS temp1,(adr_P)
	rcall ANZEIGE_P_TEMP1
	rcall ASCII_SPACE
	rcall ASCII_m_
	rcall ASCII_a_
	rcall ASCII_x_
	LDS temp1,(adr_P_MAX)
	rcall ANZEIGE_P_TEMP1
;-------------------------------------------------------------------------------
; Wh Wmm																		
	rcall ZEILE_5
	rcall FARBE_GELB
	rcall ASCII_W
	rcall ASCII_SPACE4


	LDS temp1,(adr_Wh_L)
	LDS temp2,(adr_Wh_H)
	rcall ZAHL_temp1_2
	rcall ASCII_W
	rcall ASCII_h_
	rcall ASCII_SPACE2


	LDS temp1,(adr_Wmm_L)
	LDS temp2,(adr_Wmm_H)
	rcall ZAHL_temp1_2
	rcall ASCII_W
	rcall ASCII_m_
	rcall TFT_PAKET_SENDEN
; RTC																			
	rcall ZEILE_6
	rcall FARBE_GRUEN
	rcall ASCII_R
	rcall ASCII_T
	rcall ASCII_C
	rcall ASCII_SPACE
	rcall RTC_READ
	;-------------------------------
	rcall ZEILE_7
	LDS temp1,(adr_TWI_BEREICH+0)	; BYTE-0 (Sekunden)					
	andi temp1,0b01111111			; bereinigen (ev. gesetztes Bit7)	
	rcall HEX_TEMP1
	rcall ASCII_SPACE
	LDS temp1,(adr_TWI_BEREICH+1)	; BYTE-1 (Minuten)					
	rcall HEX_TEMP1
	rcall ASCII_SPACE
	LDS temp1,(adr_TWI_BEREICH+2)	; BYTE-2 (STUNDEN)					
	rcall HEX_TEMP1
	rcall ASCII_SPACE
	LDS temp1,(adr_TWI_BEREICH+3)	; BYTE-3 (WOCHENTAG 01..07)			
	rcall HEX_TEMP1
	rcall ASCII_SPACE
	LDS temp1,(adr_TWI_BEREICH+4)	; BYTE-4 (TAG 01...31) 				
	rcall HEX_TEMP1
	rcall ASCII_SPACE
	LDS temp1,(adr_TWI_BEREICH+5)	; BYTE-5 (MONAT 01..12)				
	rcall HEX_TEMP1
	rcall ASCII_SPACE
	LDS temp1,(adr_TWI_BEREICH+6)	; BYTE-6 (JAHR 00...99)				
	rcall HEX_TEMP1
	rcall ASCII_SPACE
	LDS temp1,(adr_TWI_BEREICH+7)	; BYTE-7 SEKUNDENTAKT am PIN		
	rcall HEX_TEMP1
	rcall TFT_PAKET_SENDEN
; RTC																			
	rcall ZEILE_8
	rcall FARBE_GELB				; Farbe								
	LDS temp1,(adr_TWI_BEREICH+8)	; BYTE-8 Wmm_H						
	STS(adr_DUMMY_H),temp1			; save								
	rcall HEX_TEMP1
	rcall ASCII_SPACE
	rcall FARBE_GELB				; Farbe								
	LDS temp1,(adr_TWI_BEREICH+9)	; BYTE-9 Wmm_L						
	STS(adr_DUMMY_L),temp1			; save								
	rcall HEX_TEMP1
	rcall ASCII_SPACE
	rcall FARBE_GRUEN
	LDS temp1,(adr_TWI_BEREICH+10)	; BYTE-10	
	rcall HEX_TEMP1
	rcall ASCII_SPACE
	LDS temp1,(adr_TWI_BEREICH+11)	; BYTE-11	
	rcall HEX_TEMP1
	rcall ASCII_SPACE
	LDS temp1,(adr_TWI_BEREICH+12)	; BYTE-12	
	rcall HEX_TEMP1
	rcall ASCII_SPACE
	LDS temp1,(adr_TWI_BEREICH+13)	; BYTE-13	
	rcall HEX_TEMP1
	rcall ASCII_SPACE
	LDS temp1,(adr_TWI_BEREICH+14)	; BYTE-14	
	rcall HEX_TEMP1
	rcall ASCII_SPACE
	LDS temp1,(adr_TWI_BEREICH+15)	; BYTE-15	
	rcall HEX_TEMP1
	rcall TFT_PAKET_SENDEN
; Wh + Wmm																		
	rcall ZEILE_9
	rcall FARBE_GELB
	LDS temp1,(adr_Wh_L)
	LDS temp2,(adr_Wh_H)
	rcall ZAHL_temp1_2				; Wh		
	rcall ASCII_W
	rcall ASCII_h_

	LDS temp1,(adr_Wmm_L)
	LDS temp2,(adr_Wmm_H)
	rcall ZAHL_temp1_2				; Wmm		
	rcall ASCII_W
	rcall ASCII_m_
	rcall ASCII_m_
	rcall TFT_PAKET_SENDEN
; EEPROM-Zeiger																	
	rcall ZEILE_10
	rcall FARBE_GRUEN
	rcall ASCII_Z
	rcall ASCII_e_
	rcall ASCII_i_
	rcall ASCII_g_
	rcall ASCII_e_
	rcall ASCII_r_
	rcall ASCII_SPACE
	LDS temp1,(adr_EEPROM_ZEIGER_L)
	LDS temp2,(adr_EEPROM_ZEIGER_H)
	rcall ZAHL_TEMP1_2
	rcall ASCII_SPACE4
	rcall ASCII_a_
	rcall ASCII_u_
	rcall ASCII_s_
	rcall ASCII_SPACE
	rcall ASCII_h_
	rcall ASCII_h_
	rcall ASCII_SPACE
	rcall ASCII_m_
	rcall ASCII_m_
; EEPROM-OFFSET																	
	rcall ZEILE_11
	rcall ASCII_O
	rcall ASCII_f_
	rcall ASCII_f_
	rcall ASCII_s_
	rcall ASCII_e_
	rcall ASCII_t_
	rcall ASCII_SPACE
	LDS temp1,(adr_OFFSET_TAG_L)
	LDS temp2,(adr_OFFSET_TAG_H)
	rcall ZAHL_TEMP1_2
	rcall ASCII_SPACE4
	rcall ASCII_a_
	rcall ASCII_u_
	rcall ASCII_s_
	rcall ASCII_SPACE
	rcall ASCII_T
	rcall ASCII_a_
	rcall ASCII_g_
; Ports																			
	rcall ZEILE_13
	rcall ASCII_P
	rcall ASCII_o_
	rcall ASCII_r_
	rcall ASCII_t_
	rcall ASCII_s_
	rcall ASCII_DOPPELPUNKT_SPACE

	in temp1,PINB
	rcall BIN_TEMP1
	rcall ASCII_SPACE3
	in temp1,PINC
	rcall BIN_TEMP1
	rcall ASCII_SPACE3
	in temp1,PIND
	rcall BIN_TEMP1
rjmp TFT_PAKET_SENDEN
; ##############################################################################
; ##############################################################################
; ##############################################################################
MENUE_DIAGRAMM_HEUTE:
	LDS temp,(adr_WOCHENTAG)
	STS(adr_DIAGRAMM_TAG),temp
	rjmp DIAGRAMM
; ##############################################################################
; ##############################################################################
; ##############################################################################
MENUE_DIAGRAMM_MO:
	ldi temp,1				; Mo	
	STS(adr_DIAGRAMM_TAG),temp
	rjmp DIAGRAMM
; ##############################################################################
; ##############################################################################
; ##############################################################################
MENUE_DIAGRAMM_DI:
	ldi temp,2				; Di	
	STS(adr_DIAGRAMM_TAG),temp
	rjmp DIAGRAMM
; ##############################################################################
; ##############################################################################
; ##############################################################################
MENUE_DIAGRAMM_MI:
	ldi temp,3				; Mi	
	STS(adr_DIAGRAMM_TAG),temp
	rjmp DIAGRAMM
; ##############################################################################
; ##############################################################################
; ##############################################################################
MENUE_DIAGRAMM_DO:
	ldi temp,4				; Do	
	STS(adr_DIAGRAMM_TAG),temp
	rjmp DIAGRAMM
; ##############################################################################
; ##############################################################################
; ##############################################################################
MENUE_DIAGRAMM_Fr:
	ldi temp,5				; Fr	
	STS(adr_DIAGRAMM_TAG),temp
	rjmp DIAGRAMM
; ##############################################################################
; ##############################################################################
; ##############################################################################
MENUE_DIAGRAMM_SA:
	ldi temp,6				; Sa	
	STS(adr_DIAGRAMM_TAG),temp
	rjmp DIAGRAMM
; ##############################################################################
; ##############################################################################
; ##############################################################################
MENUE_DIAGRAMM_SO:
	ldi temp,7				; SO	
	STS(adr_DIAGRAMM_TAG),temp
	rjmp DIAGRAMM
; ##############################################################################
; ##############################################################################
; ##############################################################################
MENUE_HILFE:
	rcall FARBE_WEISS
	ldi temp1,33
	ldi temp2,4
	rcall KURSOR_POSITION_TEMP1_2	; temp1=Spalte temp2=Zeile	
	rcall TEXT_MENUE
	rcall ASCII_PLUS

	ldi temp1,33
	ldi temp2,8
	rcall KURSOR_POSITION_TEMP1_2	; temp1=Spalte temp2=Zeile	
	rcall TEXT_MENUE
	rcall ASCII_MINUS

	ldi temp1,33
	ldi temp2,12
	rcall KURSOR_POSITION_TEMP1_2	; temp1=Spalte temp2=Zeile	
	rcall ASCII_C
	rcall ASCII_L
	rcall ASCII_E
	rcall ASCII_A
	rcall ASCII_R
rjmp TFT_PAKET_SENDEN
; ##############################################################################
; ##############################################################################
; ##############################################################################
; ##############################################################################
; ##############################################################################
; ##############################################################################
; ##############################################################################
; ##############################################################################
MENUE_EDIT_hh:
	rcall ZEILE_1
	rcall FARBE_GRUEN
	rcall TEXT_EDIT
	rcall ASCII_h_
	rcall ASCII_h_
;-------------------------------------------------------------------------------
	LDS temp,(adr_TASTE)
	cpi temp,(TASTE_PLUS)
	breq MENUE_EDIT_hh_PLUS
	cpi temp,(TASTE_MINUS)
	breq MENUE_EDIT_hh_MINUS
	rjmp MENUE_EDIT_hh_FERTIG
;-------------------------------------------------------------------------------
MENUE_EDIT_hh_PLUS:
	LDS temp,(adr_hh)
	cpi temp,23					; 23 ?	
	brsh MENUE_EDIT_hh_FERTIG
	inc temp					; +1	
	STS(adr_hh),temp
	rcall TWI_RTC_SET			; set	
	rcall TWI_RTC_READ			; read	
	rjmp MENUE_EDIT_hh_FERTIG
;-------------------------------------------------------------------------------
MENUE_EDIT_hh_MINUS:
	LDS temp,(adr_hh)
	tst temp					; NULL ?
	breq MENUE_EDIT_hh_FERTIG 
	dec temp					; -1	
	STS(adr_hh),temp
	rcall TWI_RTC_SET			; set	
	rcall TWI_RTC_READ			; read	
	rjmp MENUE_EDIT_hh_FERTIG
;-------------------------------------------------------------------------------
MENUE_EDIT_hh_FERTIG:
	rcall ZEILE_5
	rcall ANZEIGE_ZEIT
	rcall ZEILE_6
	rcall ASCII_STERN2
	rjmp TFT_PAKET_SENDEN
; ##############################################################################
; ##############################################################################
; ##############################################################################
MENUE_EDIT_mm:
	rcall ZEILE_1
	rcall FARBE_GRUEN
	rcall TEXT_EDIT
	rcall ASCII_m_
	rcall ASCII_m_
;-------------------------------------------------------------------------------
	LDS temp,(adr_TASTE)
	cpi temp,(TASTE_PLUS)
	breq MENUE_EDIT_mm_PLUS
	cpi temp,(TASTE_MINUS)
	breq MENUE_EDIT_mm_MINUS
	rjmp MENUE_EDIT_mm_FERTIG
;-------------------------------------------------------------------------------
MENUE_EDIT_mm_PLUS:
	LDS temp,(adr_mm)
	cpi temp,59					; 59 ?	
	brsh MENUE_EDIT_mm_FERTIG
	inc temp					; +1	
	STS(adr_mm),temp
	STS(adr_ss),NULL			; NULL	
	rcall TWI_RTC_SET			; set	
	rcall TWI_RTC_READ			; read	
	rjmp MENUE_EDIT_mm_FERTIG
;-------------------------------------------------------------------------------
MENUE_EDIT_mm_MINUS:
	LDS temp,(adr_mm)
	tst temp					; NULL ?
	breq MENUE_EDIT_mm_FERTIG 
	dec temp					; -1	
	STS(adr_mm),temp
	STS(adr_ss),NULL			; NULL	
	rcall TWI_RTC_SET			; set	
	rcall TWI_RTC_READ			; read	
	rjmp MENUE_EDIT_mm_FERTIG
;-------------------------------------------------------------------------------
MENUE_EDIT_mm_FERTIG:
	rcall ZEILE_5
	rcall ANZEIGE_ZEIT
	rcall ZEILE_6
	rcall ASCII_SPACE3
	rcall ASCII_STERN2
	rjmp TFT_PAKET_SENDEN
; ##############################################################################
; ##############################################################################
; ##############################################################################
MENUE_EDIT_TAG:
	rcall ZEILE_1
	rcall FARBE_GRUEN
	rcall TEXT_EDIT
	rcall ASCII_T
	rcall ASCII_A
	rcall ASCII_G
;-------------------------------------------------------------------------------
	LDS temp,(adr_TASTE)
	cpi temp,(TASTE_PLUS)
	breq MENUE_EDIT_TAG_PLUS
	rjmp MENUE_EDIT_TAG_FERTIG
;-------------------------------------------------------------------------------
MENUE_EDIT_TAG_PLUS:
	LDS temp,(adr_TAG)
	cpi temp,31
	brlo MENUE_EDIT_TAG_w
	clr temp
;-------------------------------------------------------------------------------
MENUE_EDIT_TAG_w:
	inc temp
	STS(adr_TAG),temp
	rcall TWI_RTC_SET			; set	
	rcall TWI_RTC_READ			; read			
;-------------------------------------------------------------------------------
MENUE_EDIT_TAG_FERTIG:
	rcall ZEILE_5
	rcall ANZEIGE_DATUM
	rcall ZEILE_6
	rcall ASCII_STERN2
	rjmp TFT_PAKET_SENDEN
; ##############################################################################
; ##############################################################################
; ##############################################################################
MENUE_EDIT_WOCHENTAG:
	rcall ZEILE_1
	rcall FARBE_GRUEN
	rcall TEXT_EDIT
	rcall ASCII_W
	rcall ASCII_O
	rcall ASCII_C
	rcall ASCII_H
	rcall ASCII_E
	rcall ASCII_N
	rcall ASCII_MINUS
	rcall ASCII_T
	rcall ASCII_A
	rcall ASCII_G
;-------------------------------------------------------------------------------
	LDS temp,(adr_TASTE)
	cpi temp,(TASTE_PLUS)
	breq MENUE_EDIT_WOCHENTAG_PLUS
	cpi temp,(TASTE_MINUS)
	breq MENUE_EDIT_WOCHENTAG_MINUS


	rjmp MENUE_EDIT_WOCHENTAG_FERTIG
;-------------------------------------------------------------------------------
MENUE_EDIT_WOCHENTAG_PLUS:
	LDS temp,(adr_WOCHENTAG)
	inc temp
	STS(adr_WOCHENTAG),temp
	rcall TWI_RTC_SET			; set	
	rcall TWI_RTC_READ			; read	
	rjmp MENUE_EDIT_WOCHENTAG_FERTIG
;-------------------------------------------------------------------------------
MENUE_EDIT_WOCHENTAG_MINUS:
	LDS temp,(adr_WOCHENTAG)
	dec temp
	STS(adr_WOCHENTAG),temp
	rcall TWI_RTC_SET			; set	
	rcall TWI_RTC_READ			; read	
;-------------------------------------------------------------------------------
MENUE_EDIT_WOCHENTAG_FERTIG:
	rcall ZEILE_4
	LDS temp1,(adr_WOCHENTAG)
	rcall ZAHL_TEMP1
	rcall ZEILE_5
	LDS temp1,(adr_WOCHENTAG)
	rcall ANZEIGE_WOCHENTAG_TEMP1
	rjmp TFT_PAKET_SENDEN
; ##############################################################################
; ##############################################################################
; ##############################################################################
MENUE_EDIT_MONAT:
	rcall ZEILE_1
	rcall FARBE_GRUEN
	rcall TEXT_EDIT
	rcall ASCII_M
	rcall ASCII_O
	rcall ASCII_N
	rcall ASCII_A
	rcall ASCII_T
;-------------------------------------------------------------------------------
	LDS temp,(adr_TASTE)
	cpi temp,(TASTE_PLUS)
	breq MENUE_EDIT_MONAT_PLUS
	rjmp MENUE_EDIT_MONAT_FERTIG
;-------------------------------------------------------------------------------
MENUE_EDIT_MONAT_PLUS:
	LDS temp,(adr_MONAT)
	cpi temp,12
	brlo MENUE_EDIT_MONAT_w
	clr temp
;-------------------------------------------------------------------------------
MENUE_EDIT_MONAT_w:
	inc temp
	STS(adr_MONAT),temp
	rcall TWI_RTC_SET			; set	
	rcall TWI_RTC_READ			; read	
;-------------------------------------------------------------------------------
MENUE_EDIT_MONAT_FERTIG:
	rcall ZEILE_5
	rcall ANZEIGE_DATUM
	rcall ZEILE_6
	rcall ASCII_SPACE3
	rcall ASCII_STERN2
	rjmp TFT_PAKET_SENDEN
; ##############################################################################
; ##############################################################################
; ##############################################################################
MENUE_EDIT_JAHR:
	rcall ZEILE_1
	rcall FARBE_GRUEN
	rcall TEXT_EDIT
	rcall ASCII_J
	rcall ASCII_A
	rcall ASCII_H
	rcall ASCII_R
;-------------------------------------------------------------------------------
	LDS temp,(adr_TASTE)
	cpi temp,(TASTE_PLUS)
	breq MENUE_EDIT_JAHR_PLUS
	rjmp MENUE_EDIT_JAHR_FERTIG
;-------------------------------------------------------------------------------
MENUE_EDIT_JAHR_PLUS:
	LDS temp,(adr_JAHR)
	cpi temp,99
	brlo MENUE_EDIT_JAHR_w
	ldi temp,255				; "-1"	
;-------------------------------------------------------------------------------
MENUE_EDIT_JAHR_w:
	inc temp
	STS(adr_JAHR),temp
	rcall TWI_RTC_SET			; set	
	rcall TWI_RTC_READ			; read	
;-------------------------------------------------------------------------------
MENUE_EDIT_JAHR_FERTIG:
	rcall ZEILE_5
	rcall ANZEIGE_DATUM
	rcall ZEILE_6
	rcall ASCII_SPACE6
	rcall ASCII_STERN2
	rjmp TFT_PAKET_SENDEN
; ##############################################################################
; ##############################################################################
; ##############################################################################
